Generador de hash: MD5, SHA-1, SHA-256

Escriba un texto para ver sus resúmenes MD5, SHA-1, SHA-256, SHA-384 y SHA-512 en hexadecimal. Si añade una clave, cada fila pasa a ser un HMAC, una firma hecha con un secreto.

Gratuita Funciona en su navegador Revisada: martes, 10 de noviembre de 2026

El texto que se va a calcular, en bytes UTF-8. Las letras como la ñ o las vocales con tilde ocupan dos bytes cada una.

Déjela vacía para los resúmenes simples. Con una clave, cada fila es un HMAC hecho con esa clave.

Resultado

Resúmenes

Esta herramienta funciona en su navegador. Lo que escribe no se envía a nosotros.

Cómo se usa

  1. Escriba o pegue el texto en Texto.
  2. Deje Clave (opcional) vacía para resúmenes simples, o escriba una clave para obtener HMAC.
  3. Copie un resumen de su fila, o use Descargar como CSV para guardar la tabla completa.
  4. Compruebe el algoritmo de la primera columna con el que pide su sistema o su documento.

Qué es un hash

Una función hash convierte cualquier texto en un código de longitud fija, llamado resumen. El mismo texto siempre da el mismo resumen, un cambio pequeño da uno completamente distinto, y el resumen no puede volver a convertirse en el texto. Aquí los resúmenes se escriben en hexadecimal: MD5 tiene 32 cifras, SHA-1 tiene 40, SHA-256 tiene 64, SHA-384 tiene 96 y SHA-512 tiene 128.

Cifras hexadecimales = bits ÷ 4

MD5      128 ÷ 4 = 32
SHA-256  256 ÷ 4 = 64
SHA-512  512 ÷ 4 = 128

Qué algoritmo usar

MD5 y SHA-1 están rotos. Se pueden encontrar dos textos distintos con el mismo resumen, así que no deben usarse para firmas ni certificados. Todavía aparecen en sistemas antiguos y como comprobación rápida de daños accidentales en una descarga. SHA-256 y SHA-512 pertenecen al estándar actual, FIPS 180-4, y son la opción habitual.

Para guardar contraseñas, use una función de hash de contraseñas como Argon2 o bcrypt. Ninguno de los resúmenes de esta página está pensado para eso.

HMAC: un resumen con clave

Un HMAC (RFC 2104) combina una clave con un hash de forma fija. Solo quien conoce la clave puede obtener el mismo HMAC, así que demuestra que un mensaje viene de un remitente conocido y que no se modificó por el camino. La página calcula los HMAC con los mismos algoritmos que los resúmenes simples.

El texto son bytes

  • El texto se calcula como bytes UTF-8 (RFC 3629). Las letras ASCII ocupan un byte, las letras como la ñ ocupan dos y un emoji ocupa cuatro.
  • Un final de línea distinto, una codificación distinta o un espacio de más dan otro resumen, así que calcule los mismos bytes que la otra herramienta.

Ejemplo resuelto: abc y un HMAC

Los resúmenes del texto abc son valores publicados: MD5 en la RFC 1321, y SHA-1, SHA-256, SHA-384 y SHA-512 en FIPS 180-4.

Con la clave Jefe y el texto what do ya want for nothing?, el HMAC-SHA-256 es 5bdcc146bf60754e6a042426089575c75a003f089d2739839dec58b964ec3843, el valor de prueba de la RFC 4231, caso de prueba 2.

Algoritmo Resumen de abc
MD5 900150983cd24fb0d6963f7d28e17f72
SHA-1 a9993e364706816aba3e25717850c26c9cd0d89d
SHA-256 ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad
SHA-384 cb00753f45a35e8bb5a03d699ac65007272c32ab0eded1631a8b605a43ff5bed8086072ba1e7cc2358baeca134c825a7
SHA-512 ddaf35a193617abacc417349ae20413112e6fa4e89a97ea20a9eeee64b55d39a2192992a274fc1a836ba3c23a3feebbd454d4423643ce80e2a9ac94fa54ca49f

Preguntas frecuentes

¿MD5 es seguro para contraseñas?

No. MD5 es rápido y está roto, así que una lista filtrada de hashes de contraseñas en MD5 se descifra con facilidad. Guarde las contraseñas con una función de hash de contraseñas como Argon2 o bcrypt.

¿SHA-256 es lo mismo que el cifrado?

No. Un hash es de un solo sentido: no puede volver a convertirse en el texto, y no usa clave. El cifrado se puede invertir con la clave correcta. Use un hash para comprobar la integridad, y un HMAC para comprobar que un mensaje viene de alguien que conoce la clave.

¿Cuál es la diferencia entre un hash y un HMAC?

Un hash depende solo del texto. Un HMAC necesita además una clave secreta, así que solo quien tiene la clave puede generarlo o comprobarlo. Las firmas de webhooks y de API suelen ser HMAC-SHA-256.

¿Por qué mis resúmenes son distintos de los de otra herramienta?

Los bytes deben ser los mismos. Un final de línea distinto, una codificación distinta como Windows-1254, o un espacio de más cambian todos los resúmenes. Calcule los mismos bytes que calcula la otra herramienta.

¿Se envía mi texto a algún sitio?

No. Los resúmenes se calculan en su navegador, y el texto no se sube ni se guarda.

¿Puedo comprobar un archivo con esta herramienta?

Esta página calcula solo texto. Para un archivo, use la herramienta de checksums de su sistema operativo o el checksum que publica el sitio de descargas.

Fuentes

Cifras y texto revisados por última vez el martes, 10 de noviembre de 2026.

Usamos cookies necesarias para que el sitio funcione. Si usted lo acepta, Google también usa cookies publicitarias para mostrar anuncios personalizados. Si las rechaza, seguirá viendo anuncios, pero no estarán personalizados.